Не працює прийом та пересилання файлів з ноутбука на телефон та назад. Пристрої сполучаються без проблем.

У налаштуваннях Plugins є плагін TransferService. При спробі його увімкнути вибиває вікно з помилкою.

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
return self.get_name_owner(bus_name)
File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
's', (bus_name,), **keywords)
File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.bluez': no such name

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/bin/blueman-applet", line 120, in <module>
BluemanApplet()
File "/usr/bin/blueman-applet", line 62, in __init__
self.Plugins.Load()
File "/usr/lib/python3/dist-packages/blueman/main/PluginManager.py", line 90, in Load
__import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
File "/usr/lib/python3/dist-packages/blueman/plugins/applet/DBusService.py", line 12, in <module>
from blueman.main.applet.BluezAgent import AdapterAgent
File "/usr/lib/python3/dist-packages/blueman/main/applet/BluezAgent.py", line 20, in <module>
from blueman.bluez.Agent import Agent, AgentMethod
File "/usr/lib/python3/dist-packages/blueman/bluez/Agent.py", line 48, in <module>
class Agent(dbus.service.Object):
File "/usr/lib/python3/dist-packages/blueman/bluez/Agent.py", line 56, in Agent
@AgentMethod
File "/usr/lib/python3/dist-packages/blueman/bluez/Agent.py", line 38, in AgentMethod
if BlueZInterface.get_interface_version()[0] < 5:
File "/usr/lib/python3/dist-packages/blueman/bluez/BlueZInterface.py", line 16, in get_interface_version
obj = dbus.SystemBus().get_object('org.bluez', '/')
File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out

Тестувалося на Ubuntu 14.04. Встановити

sudo apt-get install obexftp

Можна перевстановити Bluetooth-manager для надійності

sudo apt-get purge blueman

sudo apt-get install blueman

Але проблема під Убунтою та blueman після версії 2.0. bluez-obexd не працює з systemd. Для вирішення цієї проблеми потрібно вручну запустити сервіс

systemctl enable --user obex.service

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=804908

Коментувати

Вміст цього поля є приватним і не буде доступний широкому загалу.
  • Не дозволено жодних HTML теґів.